---
- name: wainting reachable state
  hosts: all
  become: yes
  gather_facts: no
  tasks:
    - name: Wait 600 seconds for target connection to become reachable/usable
      wait_for_connection:

- name: Include lb playbook
  import_playbook: playbooks/lb/main.yml

- name: Include k8s_cluster_conf playbook
  import_playbook: playbooks/k8s_cluster/main.yml

- name: Include k8s_masters_conf playbook
  import_playbook: playbooks/k8s_cluster/k8s_masters/main.yml

- name: Include k8s_nodes_conf playbook
  import_playbook: playbooks/k8s_cluster/k8s_nodes/main.yml
